#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# WebGLStencilManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:5`
Module: PIXI

## Constructor

### `WebGLStencilManager`

() private

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:5`

- Index
- Methods

## Item Index

### Methods

- bindGraphics
- destroy
- popStencil
- pushMask
- setContext

## Methods

### `bindGraphics`

(

- `graphics`
- `webGLData`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:120`

TODO this does not belong here!

#### Parameters:

- `graphics` Graphics
- `webGLData` Array
- `renderSession` Object

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:285`

Destroys the mask stack.

### `popStencil`

(

- `graphics`
- `webGLData`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:190`

#### Parameters:

- `graphics` Graphics
- `webGLData` Array
- `renderSession` Object

### `pushMask`

(

- `graphics`
- `webGLData`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:28`

Applies the Mask and adds it to the current filter stack.

#### Parameters:

- `graphics` Graphics
- `webGLData` Array
- `renderSession` Object

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLStencilManager.js:17`

Sets the drawing context to the one given in parameter.

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context